<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<c:choose>
<c:when test="${renderContext.mainResource.node.properties['j:published'].boolean}">
    <template:addResources type="javascript" resources="jquery.min.js,clippy/jquery.clippy.min.js"/>
    <template:addResources>
    <script type="text/javascript">
    $(document).ready(function() {
        $("input.select-text-on-click").click(function() { this.select(); });
        $('.copy-to-clipboard').clippy({clippy_path:'${pageContext.request.contextPath}/modules/assets/javascript/clippy/clippy.swf'});
    });
    </script>
    </template:addResources>
    <c:set var="linkUrl" value="${url.server}${url.context}/files/live${renderContext.mainResource.node.path}"/>
    <c:set var="linkUrl" value="${fn:escapeXml(linkUrl)}"/>
    <fmt:message key="docnt_documentLink.copyToClipboard" var="copyToClipboard"/>
    <fmt:message key="wsf.label.download" var="labelDownload"/>
    <input class="documentlink select-text-on-click" type="text" value="${linkUrl}"/>&nbsp;<span class="copy-to-clipboard" title="${fn:escapeXml(copyToClipboard)}">${linkUrl}</span>
    &nbsp;<a title="${fn:escapeXml(labelDownload)}" href="${linkUrl}" target="_blank" class="fa fa-download"></a>
</c:when>

<c:otherwise>
    <fmt:message key="docnt_documentLink.noDownloadLink"/>
</c:otherwise>
</c:choose>
