<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<jcr:node var="currentUser" path="${renderContext.user.localPath}"/>
<jcr:nodeProperty node="${currentUser}" name="notificationsSubscribed" var="notificationsSubscribed"/>

<c:if test="${not empty notificationsSubscribed}">
    <c:forEach items="${notificationsSubscribed}" var="nodePathSubscrideb">
        <c:if test="${nodePathSubscrideb.string eq currentNode.path}">
            <c:set value="true" var="hasSubscribed"/>
        </c:if>
    </c:forEach>
</c:if>

<h2 class="noteTitle">
    ${currentNode.properties['jcr:title'].string}
    <c:if test="${hasSubscribed}">
        <fmt:message key="docnt_note.notificationsActivatedNote" var="notificationsActivatedNote"/>
        <i class="fa fa-bell fa-fw text-warning" title="${fn:escapeXml(notificationsActivatedNote)}"></i>
    </c:if>
</h2>
<div class="noteBody min-height-200">
    ${currentNode.properties['body'].string}
</div>

<!-- <p class="noteDescription">${currentNode.properties['jcr:description'].string}</p> -->