function showResults(votePath, identifier) {
    var data = {};
    $.post(votePath + '.pollResults.do', data, function (result) {

        var answers = result.answerNodes;

        statDivTest = document.getElementById("statContainer_" + identifier);
        if (statDivTest != null) {
            statDivTest.parentNode.removeChild(statDivTest);
        }


        var statDiv = document.createElement("div");
        statDiv.id = "statContainer_" + identifier;
        pollVotes = Math.floor(result.totalOfVotes);


        for (i = 0; i < answers.length; i++) {
            var statAnswerLabel = document.createElement("div");
            statAnswerLabel.id = "statContainer_" + identifier + "_label_a" + [i];
            statAnswerLabel.innerHTML = answers[i].label;


            var statAnswerValue = document.createElement("div");
            statAnswerValue.id = "statContainer_" + identifier + "_value_a" + [i];
            statAnswerValue.innerHTML = answers[i].nbOfVotes;
            answerVotes = Math.floor(answers[i].nbOfVotes);
            percentage = (answerVotes == 0 || pollVotes == 0) ? 0 : answerVotes / pollVotes * 100;
            statAnswerValue.style.width = (percentage * 1) + "%";
            statAnswerValue.className = "barPoll barPollColor" + [i % 8];

            statDiv.appendChild(statAnswerLabel);
            statDiv.appendChild(statAnswerValue);

        }

        $(".stats_" + identifier).append(statDiv);
        $('.pollForm' + identifier).hide();
    }, "json");
}
