<%@ page contentType="text/html; UTF-8" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<jcr:nodeProperty node="${currentNode}" name="jcr:title" var="blogTitle"/>
<jcr:nodeProperty node="${jcr:getParentOfType(currentNode,'jnt:page')}" name="jcr:title"  var="parentTitle"/>
<a href="<c:url value='${url.base}${functions:escapePath(currentNode.parent.parent.path)}.html'/>">
    <i class="fa fa-comment fa-fw"></i>
    <c:out value="${parentTitle.string}" />&nbsp;-&nbsp;<c:out value="${blogTitle.string}" />
</a>
<jcr:nodeProperty node="${currentNode}" name="jcr:lastModified" var="lastModified"/>
<small class="momentToFormat" data-moment-display-type="fromNow"
      data-moment-locale="${currentResource.locale}"
      data-moment="<fmt:formatDate value="${lastModified.time}" pattern="yyyy-MM-dd'T'HH:mm:ssZ"/>"></small>

