<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="s" uri="http://www.jahia.org/tags/search" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="bootstrap" uri="http://www.jahia.org/tags/bootstrapLib" %>
<template:addCacheDependency uuid="${currentNode.properties.result.string}"/>
<c:if test="${not empty currentNode.properties.result.node}">
	<c:url value='${url.base}${functions:escapePath(currentNode.properties.result.node.path)}.html' var="searchUrl"/>
	<s:form method="post" class="docspacesearch" action="${searchUrl}">
		<jcr:nodeProperty name="jcr:title" node="${currentNode}" var="title"/>

		<div class="input-append">
            <fmt:message key='docnt_docspaceSearchForm.searchWorkspaces' var="startSearching"/>
            <s:term match="all_words" id="searchTerm" value="${startSearching}" searchIn="files,siteContent" onfocus="if(this.value=='${startSearching}')this.value='';" onblur="if(this.value=='')this.value='${startSearching}';" class="input-block-level"/>
            <s:site value="${renderContext.site.name}" includeReferencesFrom="systemsite" display="false"/>
            <s:language value="${renderContext.mainResource.locale}" display="false" />
            <button class="btn btn-primary" type="submit">
                <i class="fa fa-search"></i>
            </button>
		</div>
	</s:form>
	<div class="clearfix"/></div>
</c:if>