
def iconType = org.jahia.utils.FileUtils.getFileIcon(currentNode.name);

def size = (binding.variables.containsKey('iconsize')?iconsize:"");
if (iconType.equals('file')) {
    if (currentNode.path.endsWith('gdoc')) {
        iconType = 'gdoc';
    } else if (currentNode.path.endsWith('gsheet')) {
        iconType = 'gsheet';
    } else if (currentNode.path.endsWith('gslides')) {
        iconType = 'gslides';
    }
}
switch (iconType) {
    case "img": print '<span class="fa fa-fw fa-file-image-o '+size+'"></span>';break;
    case "video": print '<span class="fa fa-fw fa-file-video-o '+size+'"></span>';break;
    case "sound": print '<span class="fa fa-fw fa-file-audio-o '+size+'"></span>';break;
    case "pdf": print '<span class="fa fa-fw fa-file-pdf-o '+size+'" style="color: red;"></span>';break;
    case "rar":
    case "zip": print '<span class="fa fa-fw fa-file-zip-o '+size+'" style="color: darkgoldenrod;"></span>';break;
    case "doc": print '<span class="fa fa-fw fa-file-word-o '+size+'" style="color: mediumblue;"></span>';break;
    case "gdoc": print '<span class="fa fa-fw fa-file-text-o '+size+'" style="color: mediumblue;"></span>';break;
    case "xls": print '<span class="fa fa-fw fa-file-excel-o '+size+'" style="color: green;"></span>';break;
    case "gsheet": print '<span class="fa fa-fw fa-file-text-o '+size+'" style="color: green;"></span>';break;
    case "ppt": print '<span class="fa fa-fw fa-file-powerpoint-o '+size+'" style="color: orangered;"></span>';break;
    case "gslides": print '<span class="fa fa-fw fa-file-text-o '+size+'" style="color: orangered;"></span>';break;
    case "java":
    case "html": print '<span class="fa fa-fw fa-file-code-o '+size+'" style="color: mediumpurple"></span>';break;
    case "text": print '<span class="fa fa-fw fa-file-text-o '+size+'"></span>';break;
    case "txt": print '<span class="fa fa-fw fa-file-text-o '+size+'"></span>';break;
    case "folder": print '<span class="fa fa-fw fa-folder '+size+'"></span>';break;
    default: print '<span class="fa fa-fw fa-file-o '+size+'"></span>';break;
}