<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="uiComponents" uri="http://www.jahia.org/tags/uiComponentsLib" %>
<template:addResources type="css" resources="files.css"/>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="propertyDefinition" type="org.jahia.services.content.nodetypes.ExtendedPropertyDefinition"--%>
<%--@elvariable id="type" type="org.jahia.services.content.nodetypes.ExtendedNodeType"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<template:addResources type="css" resources="contentinfo.css"/>

<c:forTokens items="last3days,lastweek,lastmonth,last3months,last6months,lastyear" delims="," var="rangeValue">
    <c:choose>
        <c:when test="${renderContext.ajaxRequest}">
            <c:set var="urlBase" value="${url.base}${functions:escapePath(renderContext.ajaxResource.node.path)}.${renderContext.ajaxResource.resolvedTemplate}.html"/>
        </c:when>
        <c:otherwise>
            <c:set var="urlBase" value="${url.mainResource}"/>
        </c:otherwise>
    </c:choose>
    <c:url value='${functions:escapePath(urlBase)}' var="filteredURL">
        <c:param name="range" value="${rangeValue}"/>
    </c:url>
    <c:set var="selected" value=""/>
    <c:if test="${param.range eq rangeValue}"><c:set var="selected" value="selected"/></c:if>
    <div class="row-fluid">
    <span><i class="fa fa-clock-o"></i>&nbsp;&nbsp;<a href="${filteredURL}" class="${selected}"><fmt:message key="docnt_docspaceSearchForm.${rangeValue}"/></a></span>
    </div>
</c:forTokens>
    <div class="row-fluid">
    <span><i class="fa fa-clock-o"></i>&nbsp;&nbsp;<a onclick="window.location='<c:url value='${urlBase}'/>'"><fmt:message key="wsf.label.all"/></a></span>
    </div>